---
search:
  tags:
    - customers
    - POST
seo:
  description: >-
    Create customer run play. Reference for the POST
    /workspaces/{organizationId}/customers/{id}/run-play endpoint in the Pile
    API.
sidebar:
  label: Create customer run play
  badge: POST
title: Create customer run play
type: openapi-operation
---
`POST /workspaces/{organizationId}/customers/{id}/run-play`

**Request body** (`application/json`)

- `playName` (string)
- `html` (string)
- `pageUrl` (string)
- `contactEmail` (string)
- `minDraftRankScore` (number)
- `paidRankThreshold` (number)

Request body example:

```json
{
  "playName": "string",
  "html": "string",
  "pageUrl": "string",
  "contactEmail": "string",
  "minDraftRankScore": 0,
  "paidRankThreshold": 0
}
```

**Responses**

- `200` — Executed lead play and queued awaiting\_approval draft
- `404` — Customer not found

Response example, 200:

```json
{
  "property1": null,
  "property2": null
}
```
